> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm OAuth app authorization

> Developer API operation for POST /dev/v1/oauth/authorize.



## OpenAPI

````yaml /openapi.json post /dev/v1/oauth/authorize
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/oauth/authorize:
    post:
      tags:
        - OAuth2
      summary: Confirm OAuth app authorization
      description: Developer API operation for POST /dev/v1/oauth/authorize.
      operationId: postDevV1OauthAuthorize
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - response_type
                - client_id
                - redirect_uri
              properties:
                response_type:
                  type: string
                  enum:
                    - code
                client_id:
                  type: string
                redirect_uri:
                  type: string
                scope:
                  type: string
                state:
                  type: string
              example:
                response_type: code
                client_id: shoc_demo
                redirect_uri: https://erp.example.com/callback
                scope: orders.read
                state: state_1
          multipart/form-data:
            schema:
              type: object
              required:
                - response_type
                - client_id
                - redirect_uri
              properties:
                response_type:
                  type: string
                  enum:
                    - code
                client_id:
                  type: string
                redirect_uri:
                  type: string
                scope:
                  type: string
                state:
                  type: string
              example:
                response_type: code
                client_id: shoc_demo
                redirect_uri: https://erp.example.com/callback
                scope: orders.read
                state: state_1
          text/plain:
            schema:
              type: object
              required:
                - response_type
                - client_id
                - redirect_uri
              properties:
                response_type:
                  type: string
                  enum:
                    - code
                client_id:
                  type: string
                redirect_uri:
                  type: string
                scope:
                  type: string
                state:
                  type: string
              example:
                response_type: code
                client_id: shoc_demo
                redirect_uri: https://erp.example.com/callback
                scope: orders.read
                state: state_1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  redirect_url: >-
                    https://erp.example.com/callback?code=shoa_code_1&state=state_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````